Unzer Erweiterung (aktuell) nicht kompatibel mit Magento 2.4.4 bzw. PHP 8.1

Bei einem aktuellen Magento 2 Projekt stellte sich leider heraus, dass die aktuelle Unzer Erweiterung nicht mit Magento 2.4.4 kompatibel ist. Stand ist 26.04.2022

"This extension requires PHP 7.1, PHP 7.2, PHP 7.3 or PHP 7.4. It also depends on the Heidelpay php-payment-api library, which will be installed along with the plugin."

(Quelle: https://github.com/heidelpay/magento2)

Magento 2.4.4 benötig PHP 8.1

Magento in der aktuellsten 2.4.4 Version benötigt jedoch PHP 8.1. (Quelle: https://devdocs.magento.com/guides/v2.4/install-gde/system-requirements.html)

Die Payment Erweiterung unterstützt dies in der aktuelle Version leider nicht und ist mit PHP 8.1 nicht lauffähig. Dazu wäre es schlicht zu heikel eine Payment-Lösung mit einer nicht vom Hersteller unterstützten PHP Version zu betreiben.

Rückmeldung vom Support - Stand 04/2022

Leider konnte uns der Unzer Support nur mitteilen, dass Sie Stand jetzt selbst nicht wissen, wann aufgrund vieler Abhängigkeiten die Erweiterung PHP 8.1 auch unterstützen müssen.

Das ganze ist natürlich sehr dumm... Weil ohne Payment-Erweiterung ist es nicht möglich einen Onlineshop zu betreiben. Somit geht Unzer und aktuelle Magento Version schlicht nicht.

Lösung für Unzer Erweiterung und Magento 2.4.4. Stand jetzt.

Daher müssen wir beim aktuellen Projekt zunächst auf Zeit spielen und schlicht hoffen, dass die Erweiterung von Unzer zeitnah für PHP 8.1 kompatibel ist, wovon ich aktuell nicht ausgehe.

Sollte diese nicht im Laufe der nächsten Wochen passieren, müssen wir das Kundenprojekt downgraden auf Magento 2.4.3 (inkl. dem aktuellen Sicherheitspatch) und dann leider mit einem veralteten Shopsystem online gehen. Deutlich besser wäre es natürlich beim Onlinegang direkt das zu dem Standpunkt neuste System verwenden zu können.

Sobald es ein Update von Unzer gibt den Shop in einigen Wochen/Monaten? Updaten auf 2.4.4 und dann den Wechsel der PHP Version auf PHP 8.1 durchführen.

Update: 16.05.22 - Soll nun kompatibel sein

Wir haben Rückmeldung vom Support und es soll wohl bereits kompatibel sein. Support hat wohl mit Technik Rücksprache gehalten. Die Rückmeldung hörte sich an als wäre es noch nicht komplett offiziell. Ich gehe davon aus es wird wohl nur "Formalitäten" fehlen aber sollte wirklich funktionieren. Wir haben es jedoch auch noch nicht getestet!

Wo gibt es die Magento 2 Unzer Payment Erweiterung?

Die Unzer Magento 2 Erweiterung für Magento 2.4.3 gibt es hier:

https://github.com/heidelpay/magento2

Mehr Informationen zu Magento 2 Onlineshops gibt es hier

5/5 - (1 vote) Hinweis: Keine Sicherstellung der Authentizität dieser Bewertungen

Noch keine Kommentare bis jetzt

Einen Kommentar schreiben